#{{{ Import Modules

import numpy as np #Numeric computation module
import scipy as sp  #Scipy
import matplotlib.pyplot as plt #Plot library

ar=np.array # Alias numpy.array because we use it so often
pi=np.pi #pi is used everywhere

#}}}

#{{{ Other ways of importing modules

#Import everything from numpy into the root name space.
from numpy import *
from numpy import sin

#}}}

#{{{ Array creation

a = np.array([0,1,2,3.0])
print a

#}}}

#{{{ Mathematical Function

b = np.sin(a)
print b

#}}}

#{{{ Matrix operations

A = ar([[1,2],[3,4]])
Ainv = np.linalg.inv(A)

print A*Ainv

print np.dot(A, Ainv)

M = np.matrix(A)
Minv = np.matrix(Ainv)

print M*Minv

#}}}
