#{{{ Import Modules

import numpy as np 
import numexpr as ne

#}}}

#{{{ Prepare large matrices

a = np.random.rand(2e3,2e3)
b = np.random.rand(2e3,2e3)/100.
d = np.random.rand(5e2,5e2)/100.

#}}}

#{{{ Do some calculations

timeit c = np.dot(a,b)
timeit c1 = np.sin(a)*b+np.exp(2*b**2)
timeit c2 = ne.evaluate('sin(a)*b+exp(2*b**2)')
timeit c = ne.evaluate('sin(a)')
timeit c = np.linalg.eig(d)
#}}}

